/*!\file miscHelper.h
 *
 * \brief Divers éléments pouvant être utiles pour la démo.
 * \author Farès BELHADJ, amsi@ai.univ-paris8.fr
 * \date May 5, 2014
 */
#ifndef _MISC_HELPER_H

#define _MISC_HELPER_H

#include <gl4du.h>

#ifdef __cplusplus
extern "C" {
#endif

  extern void    mhInit(void);
  extern void    mhQuit(void);
  extern GLuint  mhGetMappedQuadVAO(void);
  extern Uint8 * mhGetAudioStream(void);
  extern int     mhGetAudioStreamLength(void);
  extern void    mhSetAudioStream(Uint8 * audioStream, int audioStreamLength);

#ifdef __cplusplus
}
#endif

#endif


